( function($){
	// Initializes and creates emoji set from sprite sheet
	window.emojiPicker = new EmojiPicker({
		emojiable_selector: '[data-emojiable=true]',
		assetsPath: cshortdata.url_asset + 'img/',
		popupButtonClasses: 'fa fa-smile-o',
	});
    window.emojiPicker.discover();
    

	$('.toolbar-emoji-text-formater li a').click(function(event){
		event.preventDefault();
		document.execCommand.apply(document, $(this).data('action') );
		var div_texable = $(this).parent('.toolbar-emoji-text-formater').attr('target-data');
		$('.emoji-wysiwyg-editor.'+div_texable).keyup();
    });
    

	function remove_uncessary_tag(obj){
		$(obj).find('img').removeAttr('src').removeAttr('draggable').removeAttr('class');
		var content = $(obj).html();
		contentx1 = content.replace(/<img alt="/g , "");
		contentx2 = contentx1.replace(/">/g , "");
		contentx3 = contentx2.replace(/&nbsp;/g , " ");

		contentx4 = contentx3.replace('<div>' , "<br>");
		contentx5 = contentx4.replace('</div>' , "");
		return contentx5;
	}

	function move_original_data_to_texable_div(){
		var div_ori = $('div[name]');
		$.each(div_ori, function(index,item){
			var the_ori = $(item);
			var data_id = the_ori.attr('data-id');
			var html_ori = decodeHtml( $(item).html() );

			// pass on the data.
			$('.emoji-wysiwyg-editor[data-id="'+ data_id +'"]').html( html_ori );

		});
	}

	function decodeHtml(html) {
		var txt = document.createElement("textarea");
		txt.innerHTML = html;
		return txt.value;
    }

	// The true program here.
	
	// Submit the data.
	$('#submit-input').click(function(){
		var id_shortcode = $('#input-shortcode-id').val();
		if ( id_shortcode == null || id_shortcode == '' ){
			// Save new data.
			save();
		} else {
			// Edit.
			update();
			reset_form();
		}

	});

	// edit button click, so it will automaticly focus on edit.
	$('.table-shortcode').on( 'click', '.edit-the-shortcode', function(){
		the_id = $(this).attr('data-id');
		load_singe( the_id );
	});

	$('.table-shortcode').on('click', '.delete-the-shortcode', function(){
		the_id = $(this).attr('data-id');
		delete_data( the_id );
	});

	$(document).ready(function(){
		refresh_table();
	});

	// Reset form when it clicked
	$('#reset-input').click(function(){
		reset_form();
	});


	var  ajax_url = cshortdata.ajax_url;

	function get_wa_box(){
		get_the_wa_data = $('.emoji-wysiwyg-editor.input-shortcode-message');
		the_content = remove_uncessary_tag( get_the_wa_data );

		return the_content;
	}

	function save() {
		var data_gather = {
			id: $('#input-shortcode-id').val(),
			slug: $('#input-shortcode-title').val(),
			message: get_wa_box(),
			description: $('#input-shortcode-description').val()
		};

		$.ajax({
			url: ajax_url,
			type: 'POST',
			data: {
				action: 'shrt_save_data',
				data: data_gather,
				secure_key: cshortdata.ajax_saveData
			},
			success: function (event) {
				if ( event == 'duplicate' ){
					alert('Slug telah dipakai, gunakan nama slug lainya');
				}

				if( event == 'saved' ){
					refresh_table();
					alert( 'custom shortcode telah dibuat' );
					reset_form();
				}
			}
		});
	};

	function update() {
		var data_gather = {
			id: $('#input-shortcode-id').val(),
			slug: $('#input-shortcode-title').val(),
			message: get_wa_box(),
			description: $('#input-shortcode-description').val()
		};
		$.ajax({
			url: ajax_url,
			type: 'POST',
			data: {
				action: 'shrt_edit_data',
				data: data_gather,
				secure_key: cshortdata.ajax_updateData
			},
			success: function (event) {

				if( event == 'updated' ){ 
					refresh_table();
					alert('Custom shortcode telah diupdate');
					reset_form();
				}

				if( event == 'not work' ){ 
					alert('Terjadi kesalahan, shortocode tidak dapat diupdate');
				}u
			}
		});
	};

	function delete_data(id) {
		$.ajax({
			url: ajax_url,
			type: 'POST',
			data: {
				action: 'shrt_delete_data',
				data: {
					shortcode_id: id,
					secure_key: cshortdata.ajax_deleteData
				}
			},
			success: function (event) {
				if( event == 'deleted' ){ 
					refresh_table();
					alert('Custom shortcode telah dihapus');
				}

				if( event == 'not work' ){ 
					alert('Terjadi kesalahan, shortocode tidak dapat dihapus');
				}
			}
		});
	};

	function load_singe(id) {
		$.ajax({
			url: ajax_url,
			type: 'POST',
			data: {
				action: 'shrt_load_single_data',
				data: {
					shortcode_id: id,
					secure_key: cshortdata.ajax_getSingleData
				}
			},
			success: function (result) {
				var data = $.parseJSON( result );
				$('#input-shortcode-id').val( data.shortcode_id );
				$('#input-shortcode-title').val( data.slug );
				$('#input-shortcode-title').prop('disabled', true);
				$('#input-shortcode-description').val( data.description );
				$('.emoji-wysiwyg-editor.input-shortcode-message').html( data.message );
				$('.emoji-wysiwyg-editor.input-shortcode-message').focus();
				$('#submit-input').html('Update');
			}
		});
	};

	function reset_form(){
		$('#input-shortcode-id').val('');
		$('#input-shortcode-title').val('');
		$('#input-shortcode-title').prop('disabled', false);
		$('#input-shortcode-description').val('');
		$('.emoji-wysiwyg-editor.input-shortcode-message').html('');
		$('#submit-input').html('Save');
	};

	function refresh_table() {
		$.ajax({
			url: ajax_url,
			type: 'POST',
			data: {
				action: 'shrt_load_data',
				data: {
					secure_key: cshortdata.ajax_loadData
				}
			},
			success: function (data) {
				$('.table-shortcode > tbody').html('');

				$.each($.parseJSON(data), function(key,value){

					var generate_row = "<tr>";
					generate_row += "<td>" + value.shortcode_id + "</td>";
					generate_row += "<td>[wanotif slug=\"" + value.slug + "\"]</td>";
					generate_row += "<td>" + value.description + "</td>";
					generate_row += "<td><button data-id=" + value.shortcode_id + " class='edit-the-shortcode'>EDIT</button>";
					generate_row += "<button data-id=" + value.shortcode_id + " class='delete-the-shortcode'>DELETE</button></td>";
					generate_row += "</tr>";
					$('.table-shortcode > tbody').append(generate_row);
				});
			}
		});
	};

})(jQuery)