(function($){
	// Initializes and creates emoji set from sprite sheet
	window.emojiPicker = new EmojiPicker({
		emojiable_selector: '[data-emojiable=true]',
		assetsPath: waapi.url_asset + 'img/',
		popupButtonClasses: 'fa fa-smile-o',
	});
	window.emojiPicker.discover();

	$(document).ready(function(){
		move_original_data_to_texable_div();
	});


	$( "form" ).submit(function( event ) {
		var data_wa_field = new Array();
		get_the_wa_data = $('div[class^="emoji-wysiwyg-editor wanotif-woocommerce_wa-message-"]');
		$.each( get_the_wa_data, function( index, item){
			// Get the last class that will provide the name of input
			classStr = $(item).attr('class');
			lastClass = classStr.substr( classStr.lastIndexOf(' ') + 1 );
			the_content = remove_uncessary_tag( $(item) );
			data_wa_field[lastClass] = the_content;
		} );
		for( idName in data_wa_field ){
			$('<input />').attr('type', 'hidden')
			.attr('name', idName)
			.attr('value', data_wa_field[idName])
			.appendTo('form');
		}
		return;
	});


	$('.toolbar-emoji-text-formater li a').click(function(event){
		event.preventDefault();
		document.execCommand.apply(document, $(this).data('action') );
		var div_texable = $(this).parent('.toolbar-emoji-text-formater').attr('target-data');
		$('.emoji-wysiwyg-editor.'+div_texable).keyup();
	});

	function remove_uncessary_tag(obj){
		$(obj).find('img').removeAttr('src').removeAttr('draggable').removeAttr('class');
		var content = $(obj).html();
		contentx1 = content.replace(/<img alt="/g , "");
		contentx2 = contentx1.replace(/">/g , "");
		contentx3 = contentx2.replace(/&nbsp;/g , " ");

		contentx4 = contentx3.replace('<div>' , "<br>");
		contentx5 = contentx4.replace('</div>' , "");
		return contentx5;
	}

	function move_original_data_to_texable_div(){
		var div_ori = $('div[name]');
		$.each(div_ori, function(index,item){
			var the_ori = $(item);
			var data_id = the_ori.attr('data-id');
			var html_ori = decodeHtml( $(item).html() );

			// pass on the data.
			$('.emoji-wysiwyg-editor[data-id="'+ data_id +'"]').html( html_ori );

		});
	}

	function decodeHtml(html) {
		var txt = document.createElement("textarea");
		txt.innerHTML = html;
		return txt.value;
	}

})(jQuery)