<?php
/**
 * Wanotif-woocommerce for WA Setting.
 *
 * @link   https://www.linkedin.com/in/arissetia/
 * @since   0.2.0
 *
 * @package    Wanotif_Woocommerce
 * @subpackage Wanotif_Woocommerce/admin/partials
 */

$prefix = 'wanotif_';
$list_shortcode = array(
	'order_id'      => __( 'Show the order id', 'wanotif-woocommerce' ),
	'email'         => __( 'Show the email of customer', 'wanotif-woocommerce' ),
	'phone'         => __( 'Show the customer phone number', 'wanotif-woocommerce' ),
	'customer_name' => __( 'Show the customer First Name', 'wanotif-woocommerce' ),
	'total'         => __( 'Show the total of order', 'wanotif-woocommerce' ),
	'transferto'    => __( 'Show where to transfer', 'wanotif-woocommerce' ),
	'sku'           => __( 'Show the sku Product', 'wanotif-woocommerce' ),
);

?>
<div class="wrap">
	<h1>Wanotif-WooCommerce Notification Settings</h1>
	<form method="POST" action="options.php">
		<?php
			settings_fields( 'wa-setting-section' );
			do_settings_sections( 'wa-setting-section' );
			submit_button();
		?>
	</form>
	<div class="wrap-wa-setting">
		<div class="wa-setting-legend">
			<div class="wa-setting-inside">
			<span class="wa-setting-legend__title"> <?php echo esc_html( 'Note', 'wanotif-woocommerce' ); ?></span>
			<span class="wa-setting-legend__sub-note">
				<?php echo esc_html( 'Availabel custom shortcode from Wanotif.', 'wanotif-woocommerce' ); ?>
			</span>
			<ul class="wa-setting-legend__list">
				<?php
				foreach ( $list_shortcode as $shortcode => $detail ) {
					echo '<li> <span class="list--tile">' . esc_html( '[' . $prefix . $shortcode . ']' ) . '</span>';
					echo '<span class="list--description"> ' . esc_html( $detail ) . '</span> </li>';
				};
				?>
			</ul>
			</div>
		</div>
