<?php
/**
 * Fired during plugin activation
 *
 * @link       https://wanotif.id
 * @since      0.1.0
 *
 * @package    Wanotif_Woocommerce
 * @subpackage Wanotif_Woocommerce/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      0.1.0
 * @package    Wanotif_Woocommerce
 * @subpackage Wanotif_Woocommerce/includes
 * @author     Wanotif <wanotif.official@gmail.com>
 */
class Wanotif_Woocommerce_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    0.1.0
	 */
	public static function activate() {

	}

	/**
	 * Create the table custom shortcode.
	 *
	 * @since 0.4.0
	 */
	public static function create_table_shortcode() {
		$tablesh = new Wanotif_Woocommerce_Table_Custom_Shortcode();
		$tablesh->create_table();
	}

	/**
	 * Create the table log.
	 *
	 * @since 0.5.0
	 */
	public static function create_table_log() {
		$tablesh = new Wanotif_Woocommerce_Table_Log();
		$tablesh->create_table();
	}

	/**
	 * Register the autochange order status wanotif.
	 *
	 * @since 1.0.0
	 */
	public static function wanotif_register_reminder_buyer() {
		if ( ! wp_next_scheduled( 'wanotif_reminder_buyer' ) ) {
			wp_schedule_event( time(), 'hourly', 'wanotif_reminder_buyer' );
		}
	}

}
