<?php
/**
 * This file contain all the common function to use to the other class.
 *
 * @link       https://wanotif.id
 * @since      0.2.0
 *
 * @package    Wanotif_Woocommerce
 * @subpackage Wanotif_Woocommerce/includes/gears/
 */

/**
 * All the functional reserve here.
 *
 * @package    Wanotif_Woocommerce
 * @subpackage Wanotif_Woocommerce/includes/gears
 * @author     Wanotif <wanotif.official@gmail.com>
 */
class Wanotif_Woocommerce_Common {

	/**
	 * Initialize all required perform.
	 *
	 * @since 0.2.0
	 */
	public function __construct() {
	}

	/**
	 * Generate the html to wa format
	 *
	 * @since 0.2.0
	 * @param string $message The text contain html code to convert WA format.
	 */
	public function generate_specific_tag( $message ) {
		// Bold.
		$message = str_replace( '<b>', '*', $message );
		$message = str_replace( '</b>', '*', $message );

		// Italic.
		$message = str_replace( '<i>', '_', $message );
		$message = str_replace( '</i>', '_', $message );

		// strike.
		$message = str_replace( '<strike>', '~', $message );
		$message = str_replace( '</strike>', '~', $message );
		return $message;
	}

	/**
	 * Encode the text to standarize format.
	 *
	 * @since 0.2.0
	 * @param string $message the text.
	 */
	public function set_wa_format_send_api( $message ) {
		$message = str_replace( '<br>', "\r\n", $message );
		$message = str_replace( '&nbsp;', '', $message );
		$message = str_replace( '<div>', '', $message );
		$message = str_replace( '</div>', '', $message );
		return $message;
	}

}
